# RPM specfile for gnet module
# Generated Fri Jul 13 14:15:45 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.9 2001/06/26 20:35:19 dobey Exp $

%define nam	gnet
%define ver	1.0.4

Name:     	libgnet0
Version: 	1.0.4
Release:	ximian.3
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.eecs.umich.edu/~dhelder/misc/gnet/
Source0:	gnet-1.0.4.tar.gz
Patch0:		gnet-no-debdir.patch
Summary:	Networking library
Group:		System Environment/Libraries
Requires:	glib >= 1.2.8
Provides:	gnet

%description
Gnet is a simple networking library. It is 
written in C, object-oriented, and built upon glib.  It is intended to be 
small, fast, easy-to-use, and easy to port.  The interface is similar to the 
interface for Java's network library.

%files
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS HACKING INSTALL NEWS TODO README doc/html
/usr/lib/libgnet-1.0.so.*


%post
ldconfig

%package -n libgnet0-devel
Summary:	Networking library
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	libgnet-devel = %{PACKAGE_VERSION}

%description -n libgnet0-devel
Gnet is a simple network library.  It is written in C, object-oriented, and 
built upon glib.

This package allows you to develop applications that use the Gnet library.

%files -n libgnet0-devel
%defattr(-, root, root)
/usr/bin/gnet-config
/usr/share/aclocal/gnet.m4
/usr/include/gnet
/usr/lib/gnet/include
/usr/lib/*a
/usr/lib/lib*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnet-1.0.4
    ;;
all)
%setup  -q -n gnet-1.0.4
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    automake; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
